svm-checkdata(1)

NAME
svm-checkdata - a LIBSVM format checking tool

SYNOPSIS
svm-checkdata dataset

DESCRIPTION
svm-train(1) conducts only a simple check of the input data. To do a detailed check, we provide this python script.

FILES
See svm-train(1) for the format of dataset

EXAMPLES

    > cat bad_data

    1 3:1 2:4

    > svm-checkdata bad_data

line 1: feature indices must be in an ascending order, previous/current features 3:1 2:4 Found 1 lines with error.

BUGS
Please report bugs to the Debian BTS.

AUTHOR
Chih-Chung Chang, Chih-Jen Lin <cjlin@csie.ntu.edu.tw>, Chen-Tse Tsai <ctse.tsai@gmail.com> (packaging)

SEE ALSO
svm-train(1), svm-predict(1)